org.apache.lucene.store

## Class LockVerifyServer

- java.lang.Object
- - org.apache.lucene.store.LockVerifyServer

-     public class LockVerifyServer
      extends java.lang.Object

  Simple standalone server that must be running when you use `VerifyingLockFactory`. This server simply verifies at most one process holds the lock at a time. Run without any args to see usage.
  See Also:
    `VerifyingLockFactory`, `LockStressTest`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LockVerifyServer()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LockVerifyServer

          public LockVerifyServer()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.